# Generated by Django 3.2.2 on 2021-05-15 21:55

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('projects', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=512)),
                ('last_name', models.CharField(max_length=512)),
                ('email', models.CharField(max_length=512, unique=True, validators=[django.core.validators.RegexValidator(message='Invalid email format', regex='^(\\w|\\.|\\_|\\-)+[@](\\w|\\_|\\-|\\.)+[.]\\w{2,3}$')])),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
    ]
